<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>API</name>
    <filename>classAPI.html</filename>
  </compound>
  <compound kind="class">
    <name>Core</name>
    <filename>classCore.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setupShourtcutTips</name>
      <anchorfile>classCore.html</anchorfile>
      <anchor>a38698f4f57e96338cbc141cd4a056917</anchor>
      <arglist>(KXMLGUIClient *client=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GeneralInfoWidget</name>
    <filename>classGeneralInfoWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>HTMLDocumentationPart</name>
    <filename>classHTMLDocumentationPart.html</filename>
  </compound>
  <compound kind="class">
    <name>KDevSplashScreen</name>
    <filename>classKDevSplashScreen.html</filename>
  </compound>
  <compound kind="class">
    <name>KDevStatusBar</name>
    <filename>classKDevStatusBar.html</filename>
  </compound>
  <compound kind="class">
    <name>MainWindowShare</name>
    <filename>classMainWindowShare.html</filename>
  </compound>
  <compound kind="class">
    <name>PartController</name>
    <filename>classPartController.html</filename>
    <member kind="function">
      <type>void</type>
      <name>showPart</name>
      <anchorfile>classPartController.html</anchorfile>
      <anchor>a453d439fef5d7f1b63196c96afb97df3</anchor>
      <arglist>(KParts::Part *part, const TQString &amp;name, const TQString &amp;shortDescription)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PluginController</name>
    <filename>classPluginController.html</filename>
  </compound>
  <compound kind="class">
    <name>ProjectManager</name>
    <filename>classProjectManager.html</filename>
    <member kind="slot">
      <type>bool</type>
      <name>closeProject</name>
      <anchorfile>classProjectManager.html</anchorfile>
      <anchor>a54411f6c9d33c0b741224dfabe69fc64</anchor>
      <arglist>(bool exiting=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ProjectSession</name>
    <filename>classProjectSession.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>saveToFile</name>
      <anchorfile>classProjectSession.html</anchorfile>
      <anchor>aeffe65711910374de4afe6112f5cb4dc</anchor>
      <arglist>(const TQString &amp;fileName, const TQValueList&lt; KDevPlugin *&gt; plugins)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>restoreFromFile</name>
      <anchorfile>classProjectSession.html</anchorfile>
      <anchor>acd88d7528f35e14fc51c43369b4865ec</anchor>
      <arglist>(const TQString &amp;fileName, const TQValueList&lt; KDevPlugin *&gt; plugins)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ShellExtension</name>
    <filename>classShellExtension.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>createGlobalSettingsPage</name>
      <anchorfile>classShellExtension.html</anchorfile>
      <anchor>a978b0f0a7452c7080936b1d5ec86a267</anchor>
      <arglist>(KDialogBase *dlg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>acceptGlobalSettingsPage</name>
      <anchorfile>classShellExtension.html</anchorfile>
      <anchor>af26399be6dbb0d33eb2f7d32764ed2d5</anchor>
      <arglist>(KDialogBase *dlg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>xmlFile</name>
      <anchorfile>classShellExtension.html</anchorfile>
      <anchor>a4111cfc0da445f11e40095a5cfe17a8b</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>defaultProfile</name>
      <anchorfile>classShellExtension.html</anchorfile>
      <anchor>adecfb496697b3d9026f927d4ae798b93</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ShellExtension *</type>
      <name>getInstance</name>
      <anchorfile>classShellExtension.html</anchorfile>
      <anchor>a865c502a36e8ffa120d01e3d1a9222b9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TopLevel</name>
    <filename>classTopLevel.html</filename>
    <member kind="function" static="yes">
      <type>static KDevMainWindow *</type>
      <name>getInstance</name>
      <anchorfile>classTopLevel.html</anchorfile>
      <anchor>a23f105e397f261ce4dc768f888dfccba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>invalidateInstance</name>
      <anchorfile>classTopLevel.html</anchorfile>
      <anchor>af05c2af11f31e80a7009ca76f7e8ce09</anchor>
      <arglist>(KDevMainWindow *instance)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>The TDevelop Generic Shell</title>
    <filename>index</filename>
    <docanchor file="index" title="Creating an application using generic shell">creatingapp</docanchor>
  </compound>
</tagfile>
